%define deb_file PDFStudioViewer_linux64.deb
%define __os_install_post %{nil}

Summary: PDFStudioViewer
Name:       pdfstudioviewer
Version:    2023
Release:    %mkrel 1
License:    Proprietary
Group:      Office
URL:         https://www.qoppa.com/pdfstudioviewer/download/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar
Conflicts: opera
AutoReqProv: no

%description
Whatever your PDF needs are today or in the future, we have a solution for you:
creation, conversion, high-fidelity rendering and printing, digital signatures,
filling interactive forms, PDF markups, text extraction, and more… For rendering,
consider our support for all types of fonts, images, transparency, blending,
gradients and color spaces.

%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

cd $RPM_SOURCE_DIR
wget -nc https://download.qoppa.com/pdfstudioviewer/%{deb_file}

# extract data from the deb package
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.gz | gunzip | tar x -C %buildroot

#icon
mkdir -p %buildroot/%{_datadir}/pixmaps
cp %buildroot/opt/pdfstudioviewer2023/.install4j/pdfstudioviewer2023.png \
%buildroot/%{_datadir}/pixmaps

#menu
#desktop starter
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pdfstudioviewer.desktop << EOF
[Desktop Entry]
Name=PDFStudioViewer
Name[de]=PDFStudioViewer
Exec=/opt/pdfstudioviewer2023/pdfstudioviewer2023
Icon=%{_datadir}/pixmaps/pdfstudioviewer2023.png
Terminal=false
Type=Application
Categories=Office;
EOF

chmod -R 0777 %buildroot/opt/pdfstudioviewer2023

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
/opt/pdfstudioviewer2023
%{_datadir}/pixmaps
%{_datadir}/applications

%changelog
* Tue Jun 27 2023 pp <pp> 2023-1pclos2023
- new version

* Sun Oct 02 2022 pp <pp> 2022-1pclos2022
- new version

* Sat Oct 16 2021 pp <pp> 2021-2pclos2022
- update to latest 12/2021 edition

* Wed Jul 07 2021 pp <pp> 2021-1pclos2021
- update

* Mon Jan 11 2021 pp <pp> 2020-1pclos2021
- update
